Package com.xebialabs.xlrelease.domain.status

## Enum ReleaseStatus

- java.lang.Object
- - java.lang.Enum<ReleaseStatus>
  - - com.xebialabs.xlrelease.domain.status.ReleaseStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ReleaseStatus>`

      public enum ReleaseStatus
      extends java.lang.Enum<ReleaseStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABORTED` |
    `COMPLETED` |
    `FAILED` |
    `FAILING` |
    `IN_PROGRESS` |
    `PAUSED` |
    `PLANNED` |
    `TEMPLATE` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ReleaseStatus[]` | `ACTIVE_STATUSES` |
    `static ReleaseStatus[]` | `INACTIVE_STATUSES` |
    `static ReleaseStatus[]` | `RECOVERABLE_STATUSES` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasBeenStarted()` |
    `boolean` | `isActive()` |
    `boolean` | `isInactive()` |
    `static java.util.Set<java.lang.String>` | `namesOf​(ReleaseStatus... statuses)` |
    `static java.util.Set<java.lang.String>` | `namesOf​(java.util.EnumSet<ReleaseStatus> statuses)` |
    `static java.util.EnumSet<ReleaseStatus>` | `toEnumSet​(ReleaseStatus... statuses)` |
    `java.lang.String` | `value()` |
    `static ReleaseStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ReleaseStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEMPLATE

          public static final ReleaseStatus TEMPLATE

    - #### PLANNED

          public static final ReleaseStatus PLANNED

    - #### IN_PROGRESS

          public static final ReleaseStatus IN_PROGRESS

    - #### PAUSED

          public static final ReleaseStatus PAUSED

    - #### FAILING

          public static final ReleaseStatus FAILING

    - #### FAILED

          public static final ReleaseStatus FAILED

    - #### COMPLETED

          public static final ReleaseStatus COMPLETED

    - #### ABORTED

          public static final ReleaseStatus ABORTED

  - ### Field Detail

    - #### RECOVERABLE_STATUSES

          public static final ReleaseStatus[] RECOVERABLE_STATUSES

    - #### ACTIVE_STATUSES

          public static final ReleaseStatus[] ACTIVE_STATUSES

    - #### INACTIVE_STATUSES

          public static final ReleaseStatus[] INACTIVE_STATUSES

  - ### Method Detail

    - #### values

          public static ReleaseStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReleaseStatus c : ReleaseStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReleaseStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### isActive

          public boolean isActive()

    - #### isInactive

          public boolean isInactive()

    - #### hasBeenStarted

          public boolean hasBeenStarted()

    - #### toEnumSet

          public static java.util.EnumSet<ReleaseStatus> toEnumSet​(ReleaseStatus... statuses)

    - #### namesOf

          public static java.util.Set<java.lang.String> namesOf​(ReleaseStatus... statuses)

    - #### namesOf

          public static java.util.Set<java.lang.String> namesOf​(java.util.EnumSet<ReleaseStatus> statuses)